Bug 998303 - (efreet) Review Request: efreet - Standards handling for freedesktop.org standards
Review Request: efreet - Standards handling for freedesktop.org standards
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 890909 (view as bug list)
Depends On:
Blocks: Enlightenment-Tracker
  Show dependency treegraph
 
Reported: 2013-08-18 22:11 EDT by Dan Mashal
Modified: 2013-09-08 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: efreet-1.7.8-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-08 19:26:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2013-08-18 22:11:49 EDT
Spec URL: http://vicodan.fedorapeople.org/efreet.spec
SRPM URL: http://vicodan.fedorapeople.org/efreet-1.7.8-1.fc20.src.rpm
Description:
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are
included:
  * Base Directory
  * Desktop Entry
  * Icon Theme
  * Menu
  * Trash
  * Mime
Comment 1 Dan Mashal 2013-08-18 22:12:19 EDT
*** Bug 890909 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2013-08-19 05:11:56 EDT
Scratch build for Rawhide fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5828485

From build.log (i686):

checking for doxygen... no
WARNING:
The doxygen program was not found in your execute path.
You may have doxygen installed somewhere not covered by your path.
If this is the case make sure you have the packages installed, AND
that the doxygen program is in your execute path (see your
shell manual page on setting the $PATH environment variable), OR
alternatively, specify the program to use with --with-doxygen.

...

/var/tmp/rpm-tmp.yBQpjB: line 37: chrpath: command not found
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.yBQpjB (%install)
    Bad exit status from /var/tmp/rpm-tmp.yBQpjB (%install)


Please add doxygen and chrpath to BuildRequires.
Comment 3 Mario Blättermann 2013-08-19 05:16:09 EDT
Another issue:
Requires:       %{name} = %{version}-%{release}
has to be
Requires:       %{name}%{?_isa} = %{version}-%{release}
because your package isn't noarch.
Comment 4 Rex Dieter 2013-08-19 06:40:00 EDT
and, in addition to items mentioned already,

configure: error: Package requirements (ecore-file >= 1.7.8 ecore >= 1.7.8 eet >= 1.7.8 eina >= 1.7.8 ) were not met:

Requested 'ecore-file >= 1.7.8' but version of ecore-file is 1.7.7
Requested 'ecore >= 1.7.8' but version of ecore is 1.7.7
Requested 'eet >= 1.7.8' but version of eet is 1.7.7
Requested 'eina >= 1.7.8' but version of Eina is 1.7.7

MUST use versioned BuildRequires,
BuildRequires: ecore-devel >= %{version}

or (I know you don't like pkgconfig deps, but it tracks dependencies even closer):
BuildRequires: pkgconfig(ecore) >= %{version}

(the other deps are or should be pulled in by ecore-devel already)
Comment 5 Rex Dieter 2013-08-19 06:42:51 EDT
Looks like I was wrong also need
BuildRequires: eet-devel >= %{version}
or
BuildRequires: pkgconfig(eet) >= %{version}
Comment 6 Rex Dieter 2013-08-19 07:03:48 EDT
consider that last item 1, 

2. MUST use verbose build, do either
%configure ... --disable-silent-rules
or
make ... V=1

3.  MUST document what this is for (or remove it)
sed -i -e 's,${exec_prefix}/lib,%{_libdir},' configure

4. SHOULD, if not including documentation, use
%configure ... --disable-doc
(or add BuildRequires: doxygen 
as previously suggested)

5. SHOULD drop the rpath/chrpath hackery, not needed

6.  MUST document why these are omitted:
rm %{buildroot}%{_bindir}/%{name}_*
rm -r %{buildroot}%{_datadir}/%{name}/test/
(it would appear one reason is that they are just testsuite-like items)

7.  MUST update %changelog to reflect latest version (1.7.8)
Comment 10 Rex Dieter 2013-08-27 08:37:49 EDT
Thanks, -3 looks good, APPROVED.
Comment 12 Dan Mashal 2013-08-27 08:46:42 EDT
Package Change Request
======================
Package Name: emotion
New Branches: f19 f20
Owners: vicodan sundaram spot

Releng ticket filed:

https://fedorahosted.org/rel-eng/ticket/5750
Comment 13 Jon Ciesla 2013-08-27 09:00:10 EDT
Cleared flag.
Comment 14 Dan Mashal 2013-08-27 14:32:02 EDT
Package Change Request
======================
Package Name: efreet
New Branches: f19 f20
Owners: vicodan sundaram spot

Releng ticket filed:

https://fedorahosted.org/rel-eng/ticket/5750
Comment 15 Jon Ciesla 2013-08-27 14:41:35 EDT
Git done (by process-git-requests).

Unretired, please take ownership of devel in pkgdb.
Comment 16 Fedora Update System 2013-08-28 18:30:03 EDT
efreet-1.7.8-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/efreet-1.7.8-3.fc19
Comment 17 Fedora Update System 2013-08-29 18:23:36 EDT
efreet-1.7.8-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 18 Fedora Update System 2013-09-08 19:26:34 EDT
efreet-1.7.8-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.